SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (VPN)  >   GnuTLS Vendors:   gnutls.org
GnuTLS Bug in Validating DSA Signatures Lets Remote Users Deny Service
SecurityTracker Alert ID:  1022157
SecurityTracker URL:  http://securitytracker.com/id/1022157
CVE Reference:   CVE-2009-1415   (Links to External Site)
Date:  May 1 2009
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 2.6.x
Description:   A vulnerability was reported in GnuTLS. A remote user can cause denial of service conditions.

A remote user can create a specially crafted DSA signature to trigger a double free memory error and cause libgnutls to crash when verifying the signature.

Miroslav Kratochvil reported this vulnerability.

A remote user can also create specially crafted input to cause the library to free an uninitialized pointer, potentially executing arbitrary code.

Simon Josefsson reported this vulnerability.

Impact:   A remote user can cause denial of service conditions.
Solution:   The vendor has issued a fix.

A patch is available at:

http://article.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3515

Vendor URL:  www.gnu.org/software/gnutls/security.html (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:  Linux (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC